# Creating a new Organization Membership

Applies an organization to a workspace (project) or user.

Bulk Create

This endpoint supports bulk creating up to 100 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "organization_memberships": [
    {
      "geography_id": 123,
      "department_id": 456,
      "member_id": 111,
      "member_type": "User"
    },
    {
      "geography_id": 123,
      "department_id": 456,
      "member_id": 222,
      "member_type": "User"
    }
  ]
}



This endpoint returns structured Organization Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organization_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /organization_memberships
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- department (Organization) - The department of the associated member.
- geography (Organization) - The geography of the associated member.

## Request fields (application/json):

  - `organization_membership` (object)

  - `organization_membership.geography_id` (integer, required)
    The ID of the membership's geography.

  - `organization_membership.department_id` (integer, required)
    The ID of the membership's department.

  - `organization_membership.member_id` (integer, required)
    The ID of the project or user.

  - `organization_membership.member_type` (string, required)
    The type of object that describes the member (workspace or user).

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `organization_memberships` (object)

  - `organizations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


